# DICOM De-identification using Replace Identifiers
# from deid.dicom import get_files
from glob import glob
from deid.dicom import get_identifiers
from deid.dicom import replace_identifiers
from deid.config import DeidRecipe
from collections import OrderedDict

import pprint

base = "C:\\DICOM\\Python\\De-identification\\dicom_files"
output_files = "C:\\DICOM\\Python\\De-identification\\output_files"
recipe_file = "C:\\DICOM\\Python\\De-identification\\examples\\deid.dicom-kuzmak"
format = "DICOM"

# dicom_files = list(get_files(base))
# print ("\ndicom_files:",dicom_files)

dicom_file_set = glob("%s/*.DCM" %base)
print("\ndicom_file_set:",dicom_file_set)

recipe = DeidRecipe(deid=recipe_file, default_base="",base=False)
# recipe = DeidRecipe()
 
# pprint.pprint(recipe.deid)

dicom_file = dicom_file_set[0]

ids = get_identifiers(dicom_file)

'''
for tag in ids[dicom_file]:
    print(ids[dicom_file][tag])
'''

cleaned_dicom = replace_identifiers(dicom_files=dicom_file,
                                    ids=ids,
                                    deid=recipe_file,
                                    overwrite=True,
                                    output_folder=output_files,
                                    save=True)

print("%s %s files at %s" %(len(cleaned_dicom),
                               format,
                               output_files))
                                    
